listMyDevices
GET
/v1/me/devices
const url = 'https://testnet-rpc.necter.network/v1/me/devices?status=online&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/me/devices?status=online&limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”group_id
string
status
string
limit
integer
cursor
string
Responses
Section titled “Responses”Devices bound to the session wallet (operator fleet view)
Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Array<object>
(owner sees all fields; public view omits hardware details and label)
object
node_id
required
string
public_key
required
string
label
string | null
group_id
string | null
class
string
platform
string
os_version
string
arch
string
engine
string
miner_version
string
ndsr_version
string
status
required
string
status_reason
string | null
last_seen_at
integer
hardware
benchmark
attestation
null
subscriptions
Array<string>
region
string | null
uptime_bp_7d
integer
units_7d
integer
created_at
integer
Example
{ "items": [ { "class": "phone", "platform": "android", "engine": "native", "status": "online", "hardware": { "network": "wifi" }, "benchmark": { "engine": "native" } } ]}